<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.foreverwin.mesnac</groupId>
    <artifactId>mesnac</artifactId>
    <packaging>pom</packaging>
    <version>1.0-SNAPSHOT</version>
    <modules>
        <module>generator</module>
        <module>mesapp</module>
        <module>console</module>
        <module>common</module>
        <module>dataimport</module>
        <module>quartz</module>
        <module>meapi</module>
        <module>dispatch</module>
        <module>production</module>
        <module>quality</module>
        <module>equip</module>
        <module>integration</module>
        <module>listener</module>
        <module>anomaly</module>
    </modules>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>1.5.22.RELEASE</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-jdbc</artifactId>
                <exclusions>
                    <exclusion>
                        <groupId>org.apache.tomcat</groupId>
                        <artifactId>tomcat-jdbc</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>

            <dependency>
                <groupId>commons-net</groupId>
                <artifactId>commons-net</artifactId>
                <version>3.1</version>
            </dependency>

            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-tomcat</artifactId>
                <scope>provided</scope>
            </dependency>

            <dependency>
                <groupId>com.foreverwin.modular</groupId>
                <artifactId>modular-core</artifactId>
                <version>1.0-SNAPSHOT.standlone-hana</version>
            </dependency>

            <dependency>
                <groupId>com.foreverwin.modular</groupId>
                <artifactId>modular-melib</artifactId>
                <version>15.4.0.2.RELEASE</version>
                <scope>provided</scope>
            </dependency>

            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-quartz</artifactId>
                <version>2.0.5.RELEASE</version>
            </dependency>

            <!--Active MQ-->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-activemq</artifactId>
                <version>2.1.3.RELEASE</version>
                <exclusions>
                    <exclusion>
                        <groupId>org.springframework.boot</groupId>
                        <artifactId>spring-boot-starter-logging</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>

            <dependency>
                <groupId>org.apache.activemq</groupId>
                <artifactId>activemq-pool</artifactId>
                <version>5.13.4</version>
            </dependency>

            <dependency>
                <groupId>org.jsoup</groupId>
                <artifactId>jsoup</artifactId>
                <version>1.11.3</version>
            </dependency>

            <dependency>
                <groupId>com.foreverwin.mesnac</groupId>
                <artifactId>common</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.foreverwin.mesnac</groupId>
                <artifactId>equip</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.foreverwin.mesnac</groupId>
                <artifactId>meapi</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.foreverwin.mesnac</groupId>
                <artifactId>quartz</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.foreverwin.mesnac</groupId>
                <artifactId>listener</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.foreverwin.mesnac</groupId>
                <artifactId>dataimport</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.foreverwin.mesnac</groupId>
                <artifactId>dispatch</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.foreverwin.mesnac</groupId>
                <artifactId>quality</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.foreverwin.mesnac</groupId>
                <artifactId>production</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.foreverwin.mesnac</groupId>
                <artifactId>integration</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.foreverwin.mesnac</groupId>
                <artifactId>anomaly</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.google.guava</groupId>
                <artifactId>guava</artifactId>
                <version>28.0-jre</version>
            </dependency>

            <!--邮件发送-->
            <dependency>
                <groupId>javax.mail</groupId>
                <artifactId>mail</artifactId>
                <version>1.4.7</version>
            </dependency>

            <dependency>
                <groupId>javax.activation</groupId>
                <artifactId>activation</artifactId>
                <version>1.1.1</version>
            </dependency>

            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>5.0.6</version>
            </dependency>

            <!-- axis 1.4 jar start -->
            <dependency>
                <groupId>org.apache.axis</groupId>
                <artifactId>axis</artifactId>
                <version>1.4</version>
            </dependency>
            <dependency>
                <groupId>commons-discovery</groupId>
                <artifactId>commons-discovery</artifactId>
                <version>0.2</version>
                <exclusions>
                    <exclusion>
                        <groupId>commons-logging</groupId>
                        <artifactId>commons-logging</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>
            <dependency>
                <groupId>org.apache.axis</groupId>
                <artifactId>axis-jaxrpc</artifactId>
                <version>1.4</version>
            </dependency>
            <dependency>
                <groupId>org.apache.axis</groupId>
                <artifactId>axis-saaj</artifactId>
                <version>1.4</version>
            </dependency>
            <dependency>
                <groupId>org.freemarker</groupId>
                <artifactId>freemarker</artifactId>
                <version>2.3.30</version>
            </dependency>
            <!-- axis 1.4 jar end -->
        </dependencies>
    </dependencyManagement>
</project>